package fr.formation.alexis.fay.mediatheque1cxf.generated;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;
import javax.xml.ws.Service;

/**
 * This class was generated by Apache CXF 3.4.5
 * 2021-12-21T14:46:23.588+01:00
 * Generated source version: 3.4.5
 *
 */
@WebServiceClient(name = "LivreServiceService",
                  wsdlLocation = "http://localhost:9001/livres?wsdl",
                  targetNamespace = "http://serveur.mediatheque1cxf.fay.alexis.formation.fr/")
public class LivreServiceService extends Service {

    public final static URL WSDL_LOCATION;

    public final static QName SERVICE = new QName("http://serveur.mediatheque1cxf.fay.alexis.formation.fr/", "LivreServiceService");
    public final static QName LivreServicePort = new QName("http://serveur.mediatheque1cxf.fay.alexis.formation.fr/", "LivreServicePort");
    static {
        URL url = null;
        try {
            url = new URL("http://localhost:9001/livres?wsdl");
        } catch (MalformedURLException e) {
            java.util.logging.Logger.getLogger(LivreServiceService.class.getName())
                .log(java.util.logging.Level.INFO,
                     "Can not initialize the default wsdl from {0}", "http://localhost:9001/livres?wsdl");
        }
        WSDL_LOCATION = url;
    }

    public LivreServiceService(URL wsdlLocation) {
        super(wsdlLocation, SERVICE);
    }

    public LivreServiceService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public LivreServiceService() {
        super(WSDL_LOCATION, SERVICE);
    }

    public LivreServiceService(WebServiceFeature ... features) {
        super(WSDL_LOCATION, SERVICE, features);
    }

    public LivreServiceService(URL wsdlLocation, WebServiceFeature ... features) {
        super(wsdlLocation, SERVICE, features);
    }

    public LivreServiceService(URL wsdlLocation, QName serviceName, WebServiceFeature ... features) {
        super(wsdlLocation, serviceName, features);
    }




    /**
     *
     * @return
     *     returns ILivreService
     */
    @WebEndpoint(name = "LivreServicePort")
    public ILivreService getLivreServicePort() {
        return super.getPort(LivreServicePort, ILivreService.class);
    }

    /**
     *
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns ILivreService
     */
    @WebEndpoint(name = "LivreServicePort")
    public ILivreService getLivreServicePort(WebServiceFeature... features) {
        return super.getPort(LivreServicePort, ILivreService.class, features);
    }

}
